Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  class ScalaTool extends ScalaMatchingTask

  An Ant task that generates a shell or batch script to execute a Scala program.

  An Ant task that generates a shell or batch script to execute a Scala program.

  This task can take the following parameters as attributes:

  - `file` (mandatory),
  - `class` (mandatory),
  - `platforms`,
  - `classpath`,
  - `properties`,
  - `javaflags`,
  - `toolflags`.
  Definition Classes
    ant
  Version

    1.1

- PermissibleValue
- Platforms

o

scala.tools.ant.ScalaTool

# Platforms 

###

#### object Platforms extends PermissibleValue

Defines valid values for the platforms property.

Source
  ScalaTool.scala

Linear Supertypes
PermissibleValue, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Platforms
2. PermissibleValue
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def isPermissible(value: String): Boolean
    Definition Classes
      PermissibleValue
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  val values: collection.immutable.List[String]
    Definition Classes
      Platforms → PermissibleValue
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PermissibleValue

### Inherited from AnyRef

### Inherited from Any

### Ungrouped